# IUniTaskSource Interface | UniTask

Show / Hide Table of Contents

# IUniTaskSource Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface IUniTaskSource

### Members

#### Methods

Name | Description
--- | ---
GetResult(Int16) |
GetStatus(Int16) |
OnCompleted(Action<Object>, Object, Int16) |
UnsafeGetStatus() |

### Methods

#### GetResult(Int16)

    void GetResult(short token)

##### Parameters

`token` System.Int16

#### GetStatus(Int16)

    UniTaskStatus GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### OnCompleted(Action<Object>, Object, Int16)

    void OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object
`token` System.Int16

#### UnsafeGetStatus()

    UniTaskStatus UnsafeGetStatus()

##### Returns

UniTaskStatus